fetch(
  'https://gist.githubusercontent.com/Prathi0410/46d02f90deac8ae8c843c7c4fef9d0a8/raw/a26ae0e5e3fa187d17001c17ac426689589873b8/ICE6-Assignment%2520Data-final',
)
  .then((response) => response.text())
  .then((data) => {
    const rows = data.split('\n').slice(1); // Remove header row
    const coffeeNames = [];
    const salesVolumes = [];
    for (const row of rows) {
      const [, name, , , salesVolume] = row.split(',');
      coffeeNames.push(name);
      salesVolumes.push(parseFloat(salesVolume));
    }

    var areaChart = new Chart(
      document.getElementById('areaChart'),
      {
        type: 'line',
        data: {
          labels: coffeeNames,
          datasets: [
            {
              label: 'Sales Volumes',
              data: salesVolumes,
              borderColor: 'green',
              backgroundColor: 'pink',
              fill: true,
            },
          ],
        },
        options: {
          responsive: true,
          plugins: {
            legend: {
              position: 'top',
            },
            title: {
              display: true,
              text: 'Sales Volumes of Coffee Products',
            },
          },
          scales: {
            x: {
              title: {
                display: true,
                text: 'Coffee Name',
              },
            },
            y: {
              title: {
                display: true,
                text: 'Sales Volume',
              },
            },
          },
        },
      },
    );
  })
  .catch((error) =>
    console.error('Error fetching data:', error),
  );
